export type SelectionRange = [number | null, number | null];
export declare const initSelectionStore: (ref: React.RefObject<HTMLTextAreaElement | HTMLInputElement>, onSelectionUpdate: (range: SelectionRange) => void) => {
    _updateSeletion(): void;
    _setComposition(event: CompositionEvent | void): void;
    _getSelectionStart(): number;
    _getSelectionEnd(): number;
};
export type SelectionStore = ReturnType<typeof initSelectionStore>;
